Returns the current element

- « MongoDB\BSON\Iterator::__construct

- MongoDB\BSON\Iterator::key »

- PHP Manual
- MongoDB\BSON\Iterator
- Returns the current element

# MongoDB\BSON\Iterator::current

(mongodb >=1.16.0)

MongoDB\BSON\Iterator::current — Returns the current element

### Description

public MongoDB\BSON\Iterator::current(): mixed

### Parameters

This function has no parameters.

### Return Values

Returns the value of the current element.

> Note: When encountering a value encoded as 64-bit integer in the BSON structure, the return value of this method will be a MongoDB\BSON\Int64 instance.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\LogicException if the iterator is not valid.

### See Also

- Iterator::current() - Return the current element